Bug 1171310 - partitioner does not ask to unmount btrfs subvolume
partitioner does not ask to unmount btrfs subvolume
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/IsCij1Pd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-06 19:33 UTC by Arvin Schnell
Modified: 2021-02-24 11:45 UTC (History)
2 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
YaST logs (163.29 KB, application/x-xz)
2020-05-06 19:33 UTC, Arvin Schnell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arvin Schnell 2020-05-06 19:33:14 UTC
Normally when the user tries to delete a partition with a mounted file
system, YaST does ask right away to unmount the file system. This fails
if a btrfs subvolume of the file system is mounted. In that case YaST
does not ask in advance. If the btrfs subvolume is in use the commit
to disk later fails.
Comment 1 Arvin Schnell 2020-05-06 19:33:40 UTC
Created attachment 837501 [details]
YaST logs
Comment 2 José Iván López González 2021-02-22 12:41:27 UTC
Fixed by yast2-storage-ng 4.3.44:

* https://build.opensuse.org/request/show/874311
* https://github.com/yast/yast-storage-ng/pull/1204